• Global community
    • Language:
      • Deutsch
      • English
      • Español
      • Français
      • Português
  • 日本語コミュニティ
    Dedicated community for Japanese speakers
  • 한국 커뮤니티
    Dedicated community for Korean speakers
Exit
0

Well, it had to happen eventually...

Community Expert ,
Aug 19, 2023 Aug 19, 2023

Copy link to clipboard

Copied

Fortunately, I only experiment with Generative Fill at this point but the latest version (25.0) came with the notice that it works best with Mac OS 13+. My old Late 2015 iMac won't let me upgrade beyond 12+. It might be time to get a new Mac desktop.

TOPICS
Desktop-macOS

Views

93

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Sep 05, 2023 Sep 05, 2023

Copy link to clipboard

Copied

LATEST

Hi @daniellei4510 it is recommended, but not required at this time. However, I would agree if you want to use the newest PS features, the 2015 iMacs are coming up on the end of support. I ran into this with my 2015 MBP as well. I left it locked in with Monterey and CC2020. Ended up with a new Mac Desktop to keep up with the latest builds.

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines